MapEntry (Sleepycat Software, Inc. - Berkeley DB Java API)
Keywords: com.sleepycat.bdb.collection.MapEntry,MapEntry class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 4.2.52
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.bdb.collection
Class MapEntry

    java.lang.Object
      |
      +--com.sleepycat.bdb.collection.MapEntry

All Implemented Interfaces:
  Map.Entry

public class MapEntry
extends Object
implements Map.Entry

A simple Map.Entry implementation.

Warning: Use of this interface violates the Java Collections interface contract since these state that Map.Entry objects should only be obtained from Map.entrySet() sets, while this class allows constructing them directly. However, it is useful for performing operations on an entry set such as add(), contains(), etc. For restrictions see `getValue()` and `setValue(java.lang.Object)`.

Constructor Summary
`MapEntry(Object key, Object value)` Creates a map entry with a given key and value.

Method Summary
`boolean` | `equals(Object other)` Compares this entry to a given entry as specified by `Map.Entry.equals(java.lang.Object)`.
`Object` | `getKey()` Returns the key of this entry.
`Object` | `getValue()` Returns the value of this entry.
`int` | `hashCode()` Computes a hash code as specified by `Map.Entry.hashCode()`.
`Object` | `setValue(Object newValue)` Changes the value of this entry.
`String` | `toString()` Converts the entry to a string representation for debugging.

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MapEntry

    public MapEntry(Object key,
                    Object value)

  Creates a map entry with a given key and value.

Parameters:
  `key` - is the key to use.
  `value` - is the value to use.

Method Detail

### hashCode

    public int hashCode()

  Computes a hash code as specified by `Map.Entry.hashCode()`.

  Specified by:
    `hashCode` in interface `Map.Entry`
  Overrides:
    `hashCode` in class `Object`
  Returns:
    the computed hash code.

### equals

    public boolean equals(Object other)

  Compares this entry to a given entry as specified by `Map.Entry.equals(java.lang.Object)`.

  Specified by:
    `equals` in interface `Map.Entry`
  Overrides:
    `equals` in class `Object`
  Returns:
    the computed hash code.

### getKey

    public final Object getKey()

  Returns the key of this entry.

  Specified by:
    `getKey` in interface `Map.Entry`
  Returns:
    the key of this entry.

### getValue

    public final Object getValue()

  Returns the value of this entry. Note that this will be the value passed to the constructor or the last value passed to `setValue(java.lang.Object)`. It will not reflect changes made to a Map.

  Specified by:
    `getValue` in interface `Map.Entry`
  Returns:
    the value of this entry.

### setValue

    public Object setValue(Object newValue)

  Changes the value of this entry. Note that this will change the value in this entry object but will not change the value in a Map.

  Specified by:
    `setValue` in interface `Map.Entry`
  Returns:
    the value of this entry.

### toString

    public String toString()

  Converts the entry to a string representation for debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    the string representation.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 4.2.52
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996-2003 Sleepycat Software, Inc. - All rights reserved.